<html>
<head>
<title>OGRE: Ogre::VertexPoseKeyFrame Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1VertexPoseKeyFrame.html">VertexPoseKeyFrame</a></div>
<h1>Ogre::VertexPoseKeyFrame Class Reference</h1><!-- doxytag: class="Ogre::VertexPoseKeyFrame" --><!-- doxytag: inherits="Ogre::KeyFrame" -->Specialised <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> which references a Mesh::Pose at a certain influence level, which stores offsets for a subset of the vertices in a buffer to provide a blendable pose.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::VertexPoseKeyFrame:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1VertexPoseKeyFrame-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::vector<br>
&lt; <a class="el" href="structOgre_1_1VertexPoseKeyFrame_1_1PoseRef.html">PoseRef</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#57a8692107d482012ded2c7d3db6ba4c">PoseRefList</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <br>
<a class="el" href="classOgre_1_1VectorIterator.html">VectorIterator</a><br>
&lt; <a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#57a8692107d482012ded2c7d3db6ba4c">PoseRefList</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#1edac52d5414ad95786cc9180bb6d080">PoseRefIterator</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <br>
<a class="el" href="classOgre_1_1ConstVectorIterator.html">ConstVectorIterator</a><br>
&lt; <a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#57a8692107d482012ded2c7d3db6ba4c">PoseRefList</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#5ca079fc1fc8647a32d5c45c305e7720">ConstPoseRefIterator</a></td></tr>

<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#8365a7cfe9bd7c805e8cbdc9fa1fa6e2">VertexPoseKeyFrame</a> (const <a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a> *parent, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> time)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Default constructor, you should not call this but use <a class="el" href="classOgre_1_1AnimationTrack.html#4517a1b16d6cb601754d98841bb4d7d6" title="Creates a new KeyFrame and adds it to this animation at the given time index.">AnimationTrack::createKeyFrame</a> instead.  <a href="#8365a7cfe9bd7c805e8cbdc9fa1fa6e2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#431d110129e738fa4ff118568252f839">~VertexPoseKeyFrame</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#016e46835e32fb086d56de06c53c1e88">addPoseReference</a> (<a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> poseIndex, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> influence)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add a new pose reference.  <a href="#016e46835e32fb086d56de06c53c1e88"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#4f4255346e3e0f7bc2f7a5316565f160">updatePoseReference</a> (<a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> poseIndex, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> influence)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Update the influence of a pose reference.  <a href="#4f4255346e3e0f7bc2f7a5316565f160"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#f9d5ef046e486298493c4809dc242430">removePoseReference</a> (<a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> poseIndex)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remove reference to a given pose.  <a href="#f9d5ef046e486298493c4809dc242430"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#0135b4674ac0bdd4fd35da0e9c3026bf">removeAllPoseReferences</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remove all pose references.  <a href="#0135b4674ac0bdd4fd35da0e9c3026bf"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#57a8692107d482012ded2c7d3db6ba4c">PoseRefList</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#14924e4a6cae67564c886b169c0e5a22">getPoseReferences</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get a const reference to the list of pose references.  <a href="#14924e4a6cae67564c886b169c0e5a22"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1VectorIterator.html">PoseRefIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#3c76e521f11ff60e916815b135249b17">getPoseReferenceIterator</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get an iterator over the pose references.  <a href="#3c76e521f11ff60e916815b135249b17"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ConstVectorIterator.html">ConstPoseRefIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#1f098a3ea71f5c640b5474504fe2c112">getPoseReferenceIterator</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get a const iterator over the pose references.  <a href="#1f098a3ea71f5c640b5474504fe2c112"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1KeyFrame.html">KeyFrame</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#55cb477a6fe4ccde13ad4abff837f718">_clone</a> (<a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a> *newParent) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Clone a keyframe (internal use only).  <a href="#55cb477a6fe4ccde13ad4abff837f718"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1KeyFrame.html#bc6cab6ca252dffa5f7955fbf25707f8">getTime</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the time of this keyframe in the animation sequence.  <a href="#bc6cab6ca252dffa5f7955fbf25707f8"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#57a8692107d482012ded2c7d3db6ba4c">PoseRefList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#d17b809f17245333dc58f7d7a92ca521">mPoseRefs</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1KeyFrame.html#34af076d7fda5e0da5fd4be8368a28a5">mTime</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1KeyFrame.html#e9b9c257bf51af1be9bec3e8f50b4a41">mParentTrack</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1VertexPoseKeyFrame_1_1PoseRef.html">PoseRef</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Reference to a pose at a given influence level.  <a href="structOgre_1_1VertexPoseKeyFrame_1_1PoseRef.html#_details">More...</a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Specialised <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> which references a Mesh::Pose at a certain influence level, which stores offsets for a subset of the vertices in a buffer to provide a blendable pose. 
<p>Definition at line <a class="el" href="OgreKeyFrame_8h-source.html#l00178">178</a> of file <a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="57a8692107d482012ded2c7d3db6ba4c"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::PoseRefList" ref="57a8692107d482012ded2c7d3db6ba4c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::vector&lt;<a class="el" href="structOgre_1_1VertexPoseKeyFrame_1_1PoseRef.html">PoseRef</a>&gt; <a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#57a8692107d482012ded2c7d3db6ba4c">Ogre::VertexPoseKeyFrame::PoseRefList</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreKeyFrame_8h-source.html#l00206">206</a> of file <a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1edac52d5414ad95786cc9180bb6d080"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::PoseRefIterator" ref="1edac52d5414ad95786cc9180bb6d080" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1VectorIterator.html">VectorIterator</a>&lt;<a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#57a8692107d482012ded2c7d3db6ba4c">PoseRefList</a>&gt; <a class="el" href="classOgre_1_1VectorIterator.html">Ogre::VertexPoseKeyFrame::PoseRefIterator</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreKeyFrame_8h-source.html#l00227">227</a> of file <a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="5ca079fc1fc8647a32d5c45c305e7720"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::ConstPoseRefIterator" ref="5ca079fc1fc8647a32d5c45c305e7720" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1ConstVectorIterator.html">ConstVectorIterator</a>&lt;<a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#57a8692107d482012ded2c7d3db6ba4c">PoseRefList</a>&gt; <a class="el" href="classOgre_1_1ConstVectorIterator.html">Ogre::VertexPoseKeyFrame::ConstPoseRefIterator</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreKeyFrame_8h-source.html#l00228">228</a> of file <a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="8365a7cfe9bd7c805e8cbdc9fa1fa6e2"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::VertexPoseKeyFrame" ref="8365a7cfe9bd7c805e8cbdc9fa1fa6e2" args="(const AnimationTrack *parent, Real time)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::VertexPoseKeyFrame::VertexPoseKeyFrame           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a> *&nbsp;</td>
          <td class="paramname"> <em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>time</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Default constructor, you should not call this but use <a class="el" href="classOgre_1_1AnimationTrack.html#4517a1b16d6cb601754d98841bb4d7d6" title="Creates a new KeyFrame and adds it to this animation at the given time index.">AnimationTrack::createKeyFrame</a> instead. 
<p>

</div>
</div><p>
<a class="anchor" name="431d110129e738fa4ff118568252f839"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::~VertexPoseKeyFrame" ref="431d110129e738fa4ff118568252f839" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::VertexPoseKeyFrame::~VertexPoseKeyFrame           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreKeyFrame_8h-source.html#l00183">183</a> of file <a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="016e46835e32fb086d56de06c53c1e88"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::addPoseReference" ref="016e46835e32fb086d56de06c53c1e88" args="(ushort poseIndex, Real influence)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::VertexPoseKeyFrame::addPoseReference           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td>
          <td class="paramname"> <em>poseIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>influence</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Add a new pose reference. 
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="structOgre_1_1VertexPoseKeyFrame_1_1PoseRef.html" title="Reference to a pose at a given influence level.">PoseRef</a> </dd></dl>

</div>
</div><p>
<a class="anchor" name="4f4255346e3e0f7bc2f7a5316565f160"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::updatePoseReference" ref="4f4255346e3e0f7bc2f7a5316565f160" args="(ushort poseIndex, Real influence)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::VertexPoseKeyFrame::updatePoseReference           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td>
          <td class="paramname"> <em>poseIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>influence</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Update the influence of a pose reference. 
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="structOgre_1_1VertexPoseKeyFrame_1_1PoseRef.html" title="Reference to a pose at a given influence level.">PoseRef</a> </dd></dl>

</div>
</div><p>
<a class="anchor" name="f9d5ef046e486298493c4809dc242430"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::removePoseReference" ref="f9d5ef046e486298493c4809dc242430" args="(ushort poseIndex)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::VertexPoseKeyFrame::removePoseReference           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td>
          <td class="paramname"> <em>poseIndex</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Remove reference to a given pose. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>poseIndex</em>&nbsp;</td><td>The pose index (not the index of the reference) </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="0135b4674ac0bdd4fd35da0e9c3026bf"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::removeAllPoseReferences" ref="0135b4674ac0bdd4fd35da0e9c3026bf" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::VertexPoseKeyFrame::removeAllPoseReferences           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Remove all pose references. 
<p>

</div>
</div><p>
<a class="anchor" name="14924e4a6cae67564c886b169c0e5a22"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::getPoseReferences" ref="14924e4a6cae67564c886b169c0e5a22" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#57a8692107d482012ded2c7d3db6ba4c">PoseRefList</a>&amp; Ogre::VertexPoseKeyFrame::getPoseReferences           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get a const reference to the list of pose references. 
<p>

</div>
</div><p>
<a class="anchor" name="3c76e521f11ff60e916815b135249b17"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::getPoseReferenceIterator" ref="3c76e521f11ff60e916815b135249b17" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VectorIterator.html">PoseRefIterator</a> Ogre::VertexPoseKeyFrame::getPoseReferenceIterator           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get an iterator over the pose references. 
<p>

</div>
</div><p>
<a class="anchor" name="1f098a3ea71f5c640b5474504fe2c112"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::getPoseReferenceIterator" ref="1f098a3ea71f5c640b5474504fe2c112" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ConstVectorIterator.html">ConstPoseRefIterator</a> Ogre::VertexPoseKeyFrame::getPoseReferenceIterator           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get a const iterator over the pose references. 
<p>

</div>
</div><p>
<a class="anchor" name="55cb477a6fe4ccde13ad4abff837f718"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::_clone" ref="55cb477a6fe4ccde13ad4abff837f718" args="(AnimationTrack *newParent) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1KeyFrame.html">KeyFrame</a>* Ogre::VertexPoseKeyFrame::_clone           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a> *&nbsp;</td>
          <td class="paramname"> <em>newParent</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Clone a keyframe (internal use only). 
<p>

<p>Reimplemented from <a class="el" href="classOgre_1_1KeyFrame.html#f7829d77256717381eb1928bbbce7166">Ogre::KeyFrame</a>.</p>

</div>
</div><p>
<a class="anchor" name="bc6cab6ca252dffa5f7955fbf25707f8"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::getTime" ref="bc6cab6ca252dffa5f7955fbf25707f8" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::KeyFrame::getTime           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the time of this keyframe in the animation sequence. 
<p>

<p>Definition at line <a class="el" href="OgreKeyFrame_8h-source.html#l00060">60</a> of file <a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="d17b809f17245333dc58f7d7a92ca521"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::mPoseRefs" ref="d17b809f17245333dc58f7d7a92ca521" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#57a8692107d482012ded2c7d3db6ba4c">PoseRefList</a> <a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#d17b809f17245333dc58f7d7a92ca521">Ogre::VertexPoseKeyFrame::mPoseRefs</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreKeyFrame_8h-source.html#l00240">240</a> of file <a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="34af076d7fda5e0da5fd4be8368a28a5"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::mTime" ref="34af076d7fda5e0da5fd4be8368a28a5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1KeyFrame.html#34af076d7fda5e0da5fd4be8368a28a5">Ogre::KeyFrame::mTime</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreKeyFrame_8h-source.html#l00067">67</a> of file <a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e9b9c257bf51af1be9bec3e8f50b4a41"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::mParentTrack" ref="e9b9c257bf51af1be9bec3e8f50b4a41" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a>* <a class="el" href="classOgre_1_1KeyFrame.html#e9b9c257bf51af1be9bec3e8f50b4a41">Ogre::KeyFrame::mParentTrack</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreKeyFrame_8h-source.html#l00068">68</a> of file <a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:14 2008
</p>
</body>
</html>
